Page 1 of 3 123 LastLast
Results 1 to 10 of 21

Thread: Ubuntu 12.04 software update error.

  1. #1
    Join Date
    Jun 2014
    Location
    Puerto Rico
    Beans
    23

    Ubuntu 12.04 software update error.

    Hello

    I am running Ubuntu 12.04 and keep getting software update errors. Attached are screenshots of the error along with details.
    I am also adding the System Log below at the time the error occurs:

    06/10/14 12:34:53 AM ubuntu AptDaemon.PackageKit INFO: Get updates()
    06/10/14 12:34:54 AM ubuntu AptDaemon.Worker INFO: Finished transaction /org/debian/apt/transaction/cd560749cb60411f8a40f54764fb6c62
    06/10/14 12:35:31 AM ubuntu kernel [ 224.782558] sda1: WRITE SAME failed. Manually zeroing.
    06/10/14 12:37:18 AM ubuntu anacron[1227] Job `cron.daily' started
    06/10/14 12:37:18 AM ubuntu anacron[3201] Updated timestamp for job `cron.daily' to 2014-06-10
    06/10/14 12:37:22 AM ubuntu postfix/pickup[1978] A32D441226: uid=0 from=<root>
    06/10/14 12:37:22 AM ubuntu postfix/cleanup[4489] A32D441226: message-id=<20140610073722.A32D441226@ubuntu>
    06/10/14 12:37:22 AM ubuntu postfix/qmgr[1979] A32D441226: from=<root@ubuntu>, size=1446, nrcpt=1 (queue active)
    06/10/14 12:37:23 AM ubuntu postfix/local[4499] A32D441226: to=<root@ubuntu>, orig_to=<root>, relay=local, delay=0.76, delays=0.5/0.16/0/0.11, dsn=2.0.0, status=sent (delivered to mailbox)
    06/10/14 12:37:23 AM ubuntu postfix/qmgr[1979] A32D441226: removed
    06/10/14 12:40:04 AM ubuntu AptDaemon INFO: Quitting due to inactivity
    06/10/14 12:40:04 AM ubuntu AptDaemon INFO: Quitting was requested

    Is there a way to resolve this issue? Thanks.
    Attached Images Attached Images
    Last edited by facosta; June 10th, 2014 at 09:08 AM.

  2. #2
    Join Date
    Jun 2014
    Location
    Puerto Rico
    Beans
    23

    Re: Ubuntu 12.04 software update error.

    I have tried this: 'sudo update-manager -d' but fails.

    facosta@ubuntu:~$ sudo update-manager -d
    [sudo] password for facosta:
    Traceback (most recent call last):
    File "/usr/bin/update-manager", line 33, in <module>
    from UpdateManager.UpdateManager import UpdateManager
    File "/usr/lib/python2.7/dist-packages/UpdateManager/UpdateManager.py", line 71, in <module>
    from Core.UpdateList import UpdateList
    ImportError: cannot import name UpdateList
    facosta@ubuntu:~$

  3. #3
    Join Date
    May 2014
    Location
    Goa
    Beans
    61
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Ubuntu 12.04 software update error.

    Safest way to go around would be..
    Press CTRL+ALT+F1
    type
    sudo apt-get update
    after that
    sudo apt-get upgrade
    system will be updated from terminal.
    after that restart the system
    sudo init 6

  4. #4
    Join Date
    Jun 2014
    Location
    Puerto Rico
    Beans
    23

    Re: Ubuntu 12.04 software update error.

    Thanks Rahul4557

    I wil try the sudo commands. So far no update errors. I did find a helpful web page for Debugging
    the Update Manager. Here is the link https://wiki.ubuntu.com/DebuggingUpdateManager. Synaptic
    Package Manager also is a good work-around. Thanks.

  5. #5
    Join Date
    Jun 2014
    Location
    Puerto Rico
    Beans
    23

    Re: Ubuntu 12.04 software update error. Crash report attached.

    Here is my crash report for the new update error:


    ProblemType: Crash
    CrashCounter: 1
    Date: Thu Jun 12 23:22:39 2014
    ExecutablePath: /usr/bin/update-manager
    ExecutableTimestamp: 1397254302
    InterpreterPath: /usr/bin/python2.7
    ProcCmdline: /usr/bin/python /usr/bin/update-manager
    ProcCwd: /
    ProcEnviron:
    SHELL=/bin/bash
    PATH=(custom, no user)
    LANG=en_US.UTF-8
    ProcMaps:
    00400000-00672000 r-xp 00000000 08:01 395244 /usr/bin/python2.7
    00871000-00872000 r--p 00271000 08:01 395244 /usr/bin/python2.7
    00872000-008db000 rw-p 00272000 08:01 395244 /usr/bin/python2.7

    PythonArgs: ['/usr/bin/update-manager']
    Traceback:
    Traceback (most recent call last):
    File "/usr/bin/update-manager", line 33, in <module>
    from UpdateManager.UpdateManager import UpdateManager
    File "/usr/lib/python2.7/dist-packages/UpdateManager/UpdateManager.py", line 71, in <module>
    from Core.UpdateList import UpdateList
    ImportError: cannot import name UpdateList

    InstallationMedia: Ubuntu 12.04.3 LTS "Precise Pangolin" - Release amd64 (20130820.1)
    MarkForUpload: True
    Package: update-manager 1:0.156.14.13
    PackageArchitecture: all
    ProcVersionSignature: Ubuntu 3.8.0-42.62~precise1-generic 3.8.13.23
    SourcePackage: update-manager
    Tags: precise running-unity
    Title: update-manager crashed with ImportError in /usr/lib/python2.7/dist-packages/UpdateManager/UpdateManager.py: cannot import name UpdateList
    Uname: Linux 3.8.0-42-generic x86_64
    UpgradeStatus: No upgrade log present (probably fresh install)

  6. #6
    Join Date
    Jun 2014
    Location
    Puerto Rico
    Beans
    23

    Re: Ubuntu 12.04 software update error continues.

    Ubuntu 12.04 update manager error continues:

    1.
    Code:
    sudo apt-get update
    2.
    Code:
    sudo apt-get dist-upgrade
    Reading state information... Done
    You might want to run 'apt-get -f install' to correct these.
    The following packages have unmet dependencies:
    update-manager : Depends: update-manager-core (= 1:0.156.14.15) but 1:0.156.14.13 is installed
    update-notifier-common : Depends: update-manager-core (>= 1:0.156.14.15) but 1:0.156.14.13 is installed
    E: Unmet dependencies. Try using -f.

    3.
    Code:
    sudo apt-get -f install
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Correcting dependencies... Done
    The following packages were automatically installed and are no longer required:
    update-notifier-common libgpds0 language-pack-kde-en kde-l10n-engb patch
    language-pack-kde-en-base
    Use 'apt-get autoremove' to remove them.
    The following extra packages will be installed:
    update-manager-core
    The following packages will be upgraded:
    update-manager-core
    1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    3 not fully installed or removed.
    Need to get 185 kB of archives.
    After this operation, 28.7 kB of additional disk space will be used.
    Do you want to continue [Y/n]? y
    Get:1 http://us.archive.ubuntu.com/ubuntu/ precise-updates/main update-manager-core amd64 1:0.156.14.15 [185 kB]
    Fetched 185 kB in 0s (211 kB/s)
    Setting up update-manager-core (1:0.156.14.13) ...
    [Errno 21] Is a directory: '/usr/lib/python2.7/dist-packages/DistUpgrade/DistUpgradeController.py'
    [Errno 21] Is a directory: '/usr/lib/python2.7/dist-packages/DistUpgrade/apt_btrfs_snapshot.py'
    [Errno 21] Is a directory: '/usr/lib/python2.7/dist-packages/DistUpgrade/DistUpgradeViewKDE.py'
    [Errno 21] Is a directory: '/usr/lib/python2.7/dist-packages/DistUpgrade/apt-autoinst-fixup.py'
    [Errno 21] Is a directory: '/usr/lib/python2.7/dist-packages/UpdateManager/Core/AlertWatcher.py'
    [Errno 21] Is a directory: '/usr/lib/python2.7/dist-packages/UpdateManager/Core/UpdateList.py'
    [Errno 21] Is a directory: '/usr/lib/python2.7/dist-packages/UpdateManager/Core/__init__.py'
    [Errno 21] Is a directory: '/usr/lib/python2.7/dist-packages/UpdateManager/Core/MetaRelease.py'
    [Errno 21] Is a directory: '/usr/lib/python2.7/dist-packages/UpdateManager/Core/DistUpgradeFetcherCore.py'
    dpkg: error processing update-manager-core (--configure):
    subprocess installed post-installation script returned error exit status 101
    dpkg: dependency problems prevent configuration of update-notifier-common:
    update-notifier-common depends on update-manager-core (>= 1:0.156.14.15); however:
    Version of update-manager-core on system is 1:0.156.14.13.
    dpkg: error processing update-notifier-common (--configure):
    dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of update-manager:
    update-manager depends on update-manager-core (= 1:0.156.14.15); however:
    Version of update-manager-core on system is 1:0.156.14.13.
    dpkg: error processing update-manager (--configure):
    dependency problems - leaving unconfigured
    No apport report written because the error message indicates its a followup error from a previous failure.
    No apport report written because the error message indicates its a followup error from a previous failure.
    Errors were encountered while processing:
    update-manager-core
    update-notifier-common
    update-manager
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    Is there a way to resolve this issue? Update Manager in Dash does not work. Dash is unstable.

  7. #7
    Join Date
    Jun 2014
    Location
    Puerto Rico
    Beans
    23

    Re: Ubuntu 12.04 software update error.

    I also have tried package recovery in GRUB and tried the sudo commands in root.
    Same problem.

  8. #8
    Join Date
    Sep 2006
    Location
    France.
    Beans
    Hidden!
    Distro
    Ubuntu Mate Development Release

    Re: Ubuntu 12.04 software update error.

    Strange that your installed version is lower than the candidate and an upgrade or dist-upgrade does not pull it through.
    Please post the output to :
    Code:
    cat -n /etc/apt/sources.list
    ls -la /etc/apt/sources.list.d
    tail -v -n +1 /etc/apt/sources.list.d/*
    | My old and mostly abandoned blog |
    Linux user #413984 ; Ubuntu user #178
    J'aime les fraises.
    Nighty night me lovelies!

    | Reinstalling Ubuntu ? Please check this bug first ! |
    | Using a ppa ? Please install ppa-purge from universe, you may need it should you want to revert packages back |
    | No support requests / username changes by PM, thanks. |

  9. #9
    Join Date
    Jun 2014
    Location
    Puerto Rico
    Beans
    23

    Re: Ubuntu 12.04 software update error.

    Hi bapoumba

    Here are the results:



    Code:
    facosta@ubuntu:~$ cat -n /etc/apt/sources.list
         1    # deb cdrom:[Ubuntu 12.04.3 LTS _Precise Pangolin_ - Release amd64 (20130820.1)]/ dists/precise/main/binary-i386/
         2    
         3    # deb cdrom:[Ubuntu 12.04.3 LTS _Precise Pangolin_ - Release amd64 (20130820.1)]/ dists/precise/restricted/binary-i386/
         4    # deb cdrom:[Ubuntu 12.04.3 LTS _Precise Pangolin_ - Release amd64 (20130820.1)]/ precise main restricted
         5    
         6    # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
         7    # newer versions of the distribution.
         8    deb http://us.archive.ubuntu.com/ubuntu/ precise main restricted
         9    deb-src http://us.archive.ubuntu.com/ubuntu/ precise main restricted
        10    
        11    ## Major bug fix updates produced after the final release of the
        12    ## distribution.
        13    deb http://us.archive.ubuntu.com/ubuntu/ precise-updates main restricted
        14    deb-src http://us.archive.ubuntu.com/ubuntu/ precise-updates main restricted
        15    
        16    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
        17    ## team. Also, please note that software in universe WILL NOT receive any
        18    ## review or updates from the Ubuntu security team.
        19    deb http://us.archive.ubuntu.com/ubuntu/ precise universe
        20    deb-src http://us.archive.ubuntu.com/ubuntu/ precise universe
        21    deb http://us.archive.ubuntu.com/ubuntu/ precise-updates universe
        22    deb-src http://us.archive.ubuntu.com/ubuntu/ precise-updates universe
        23    
        24    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
        25    ## team, and may not be under a free licence. Please satisfy yourself as to 
        26    ## your rights to use the software. Also, please note that software in 
        27    ## multiverse WILL NOT receive any review or updates from the Ubuntu
        28    ## security team.
        29    deb http://us.archive.ubuntu.com/ubuntu/ precise multiverse
        30    deb-src http://us.archive.ubuntu.com/ubuntu/ precise multiverse
        31    deb http://us.archive.ubuntu.com/ubuntu/ precise-updates multiverse
        32    deb-src http://us.archive.ubuntu.com/ubuntu/ precise-updates multiverse
        33    
        34    ## N.B. software from this repository may not have been tested as
        35    ## extensively as that contained in the main release, although it includes
        36    ## newer versions of some applications which may provide useful features.
        37    ## Also, please note that software in backports WILL NOT receive any review
        38    ## or updates from the Ubuntu security team.
        39    deb http://us.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse
        40    deb-src http://us.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse
        41    
        42    deb http://security.ubuntu.com/ubuntu precise-security main restricted
        43    deb-src http://security.ubuntu.com/ubuntu precise-security main restricted
        44    deb http://security.ubuntu.com/ubuntu precise-security universe
        45    deb-src http://security.ubuntu.com/ubuntu precise-security universe
        46    deb http://security.ubuntu.com/ubuntu precise-security multiverse
        47    deb-src http://security.ubuntu.com/ubuntu precise-security multiverse
        48    
        49    ## Uncomment the following two lines to add software from Canonical's
        50    ## 'partner' repository.
        51    ## This software is not part of Ubuntu, but is offered by Canonical and the
        52    ## respective vendors as a service to Ubuntu users.
        53    deb http://archive.canonical.com/ubuntu precise partner
        54    deb-src http://archive.canonical.com/ubuntu precise partner
        55    
        56    ## This software is not part of Ubuntu, but is offered by third-party
        57    ## developers who want to ship their latest software.
        58    deb http://extras.ubuntu.com/ubuntu precise main
        59    deb-src http://extras.ubuntu.com/ubuntu precise main

    Code:
    facosta@ubuntu:~$ ls -la /etc/apt/sources.list.d
    total 12
    drwxr-xr-x 2 root root 4096 Jun  4 20:44 .
    drwxr-xr-x 6 root root 4096 Jun 20 22:04 ..
    -rw-r--r-- 1 root root  160 Jun  4 20:44 private-ppa.launchpad.net_commercial-ppa-uploaders_fragment_ubuntu.list
    Code:
    facosta@ubuntu:~$ tail -v -n +1 /etc/apt/sources.list.d/*
    ==> /etc/apt/sources.list.d/private-ppa.launchpad.net_commercial-ppa-uploaders_fragment_ubuntu.list <==
    deb https://private-ppa.launchpad.net/co...ragment/ubuntu precise main #Added by software-center; credentials stored in /etc/apt/auth.conf
    Last edited by bapoumba; July 14th, 2014 at 09:40 AM. Reason: code tags

  10. #10
    Join Date
    Sep 2006
    Location
    France.
    Beans
    Hidden!
    Distro
    Ubuntu Mate Development Release

    Re: Ubuntu 12.04 software update error.

    I cannot connect to https://private-ppa.launchpad.net/co...ragment/ubuntu, it requires authentication. What did you install from there ?
    | My old and mostly abandoned blog |
    Linux user #413984 ; Ubuntu user #178
    J'aime les fraises.
    Nighty night me lovelies!

    | Reinstalling Ubuntu ? Please check this bug first ! |
    | Using a ppa ? Please install ppa-purge from universe, you may need it should you want to revert packages back |
    | No support requests / username changes by PM, thanks. |

Page 1 of 3 123 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •